{{if .Values.ingress.enabled}}
apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: {{ .Values.name }}-{{ .Values.image.tag }}
  annotations:
    kubernetes.io/tls-acme: "true"
    certmanager.k8s.io/cluster-issuer: letsencrypt-prod
spec:
  rules:
  - host: {{ .Values.ingress.url }}
    http:
      paths:
      - backend:
          serviceName: {{ .Values.name }}-{{ .Values.image.tag }}
          servicePort: {{ .Values.port.expose }}
        path: /
  tls:
  - hosts:
    - {{ .Values.ingress.url }}
    secretName: {{ .Values.ingress.url }}
{{end}}